Loading...
Searching...
No Matches
peripheral::Device Struct Reference

A peripheral device is the collection of. More...

## Public Attributes

DeviceID | deviceID
| device identification
vector< PosElement > | position
| Position within 1-wire topo.
string | packageClass
| physical package identifier
sensors::Sensor | device
| device reference

## Detailed Description

A peripheral device is the collection of.

- device identification
- device position
- a flag indicating actuator type
- device reference

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl